aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorMax Magorsch <arzano@gentoo.org>2020-05-03 15:20:08 +0200
committerMax Magorsch <arzano@gentoo.org>2020-05-03 15:20:08 +0200
commit6ba81ea88d3925a8fbc36c24289e4c94f32b3609 (patch)
treecffc949e66ee251d100802a0712781a9590ae01c /bin
parentIncrease the shm-size of the postgres container (diff)
downloadsoko-6ba81ea88d3925a8fbc36c24289e4c94f32b3609.tar.gz
soko-6ba81ea88d3925a8fbc36c24289e4c94f32b3609.tar.bz2
soko-6ba81ea88d3925a8fbc36c24289e4c94f32b3609.zip
Fix the import of local useflags
So far local useflags have not been imported as use.local.desc is part of .gitignore. This has been fixed in this commit by explicitly importing/updating profiles/use.local.desc during each update. Signed-off-by: Max Magorsch <arzano@gentoo.org>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/fullupdate.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/bin/fullupdate.sh b/bin/fullupdate.sh
index d71c895..a798e42 100755
--- a/bin/fullupdate.sh
+++ b/bin/fullupdate.sh
@@ -11,11 +11,25 @@ update_repository(){
fi
}
-cleanup_database(){
+update_md5cache(){
+ mkdir -p /var/cache/pgo-egencache
+ cd /mnt/packages-tree/gentoo/ || exit 1
+
+ #echo 'FEATURES="-userpriv -usersandbox -sandbox"' >> /etc/portage/make.conf
+
+ egencache -j 6 --cache-dir /var/cache/pgo-egencache --repo gentoo --repositories-configuration '[gentoo]
+ location = /mnt/packages-tree/gentoo' --update
+
+ egencache -j 6 --cache-dir /var/cache/pgo-egencache --repo gentoo --repositories-configuration '[gentoo]
+ location = /mnt/packages-tree/gentoo' --update-use-local-desc
+}
+
+fullupdate_database(){
cd /mnt/packages-tree/gentoo/ || exit 1
/go/src/soko/bin/soko fullupdate
}
update_repository
-cleanup_database
+update_md5cache
+fullupdate_database